$header-height: 89px;

.crb-style.actor .window-content {
    background: url('../assets/sheet/header.png'), url('../assets/sheet-bg.jpg');
    background-repeat: repeat-x, no-repeat;
    background-size: auto $header-height, cover;
    background-attachment: local;
}

.crb-style section.window-content {
    padding: 0;
    overflow: hidden;
}

.crb-style form {
    display: grid;
    grid:
        'sidebar header' 75px
        'sidebar nav' minmax(min-content, max-content)
        'sidebar content' 1fr
        'sidebar footer' auto
        / 247px 1fr;

    font-family: $body-serif;

    /* prettier-ignore */
    @import 'sidebar',
            'header';

    $window-p-right: 20px;

    .char-header {
        grid-area: header;
        margin-right: $window-p-right;
    }
    .sheet-navigation {
        grid-area: nav;
        margin-right: $window-p-right;
    }
    .sheet-content {
        grid-area: content;
        @include scrollbar;
        padding-right: $window-p-right;
        mask-image: linear-gradient(
            180deg,
            rgba(white, 1) 0%,
            rgba(white, 1) 1%,
            rgba(white, 1) 98%,
            rgba(white, 0) 100%
        );
    }

    /* Navigation */
    @import 'nav';

    .sheet-content {
        color: var(--body);
        margin-top: 12px;
        max-height: 590px;
        @import 'character', 'npc';
    }

    footer {
        grid-area: footer;
        text-align: right;
        @include micro;
        color: var(--primary);
        line-height: 1.4;
        margin: 1em 8px;

        p,
        a {
            font-weight: 700;
            color: var(--primary);
        }
    }
}
